package cn.com.victorysoft.business.sys.dao;

import cn.com.victorysoft.business.sys.entity.SysUnitinfo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface SysUnitinfoDao {

    /**
     * 查询本单位
     * @param unitcode 单位代码
     */
    SysUnitinfo selectUnit(String unitcode);

    /**
     * 查询全部单位
     */
    List<SysUnitinfo> selectUnitAll();

    /**
     * 查询本单位及下属单位
     * @param unitcode 单位代码
     */
    List<SysUnitinfo> selectUnitTree(String unitcode);

    /**
     * 查询本单位及下属单位，查询到采油厂
     * @param unitcode 单位代码
     */
    List<SysUnitinfo> selectUnitTreeLevel2(String unitcode);

    /**
     * 查询本单位及下属单位，查询到管理区
     * @param unitcode 单位代码
     */
    List<SysUnitinfo> selectUnitTreeLevel3(String unitcode);

    /**
     * 查询下属单位列表
     * @param unitcode 单位代码
     */
    List<SysUnitinfo> selectChildren(String unitcode);

    /**
     * 查询单位
     * @param unitcode 单位代码
     */
    SysUnitinfo selectUnitByCode(String unitcode);

    /**
     * 查询所属采油厂
     * @param unitcode 单位代码
     */
    SysUnitinfo selectParentCompany(String unitcode);

    /**
     * 查询本采油厂列表
     */
    List<SysUnitinfo> selectCompanyList();
}
